import java.awt.Color;
import javax.swing.JFrame;

public class PhysicsLab {
    public static void main(String[] args) {
        MyWorld world = new MyWorld(System.out);
        PhysicsLab_GUI lab_gui = new PhysicsLab_GUI(world);
        lab_gui.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        lab_gui.setVisible(true);

        double mass = 1.0;
        Vector2D position =new Vector2D( 0.0,0.0);
        Vector2D speed = new Vector2D( 0.5,0.5);
        Ball b = new Ball(mass, position, speed);
        world.addElement(b);
        b.setColor(Color.RED);
        world.start();
    }
}

class PhysicsLab_GUI extends JFrame {
   public PhysicsLab_GUI(MyWorld world) {
      setTitle("My Small and Nice Physics Laboratory");
      setSize(MyWorldView.WIDTH+100, MyWorldView.HEIGHT+150);
      MyWorldView  worldView = new MyWorldView(world);
      world.setView(worldView);
      getContentPane().add(worldView);  
   }
}